NotificationNotesResource

Manages notes on notifications.

  • Stable unknown
  • Release candidate since 0.1.0-rc.4
  • Development since 0.1.0-dev.24+fa54770
public final class NotificationNotesResource

Manages notes on notifications. Get it from NotificationsResource.notes().

Methods

list

public JsonNode list(
        String kind,
        String targetId,
        RequestOptions options) throws IOException, InterruptedException

Lists the notes on one notification (GET /v1/slim/notifications/{kind}/{targetId}/notes).

Parameters:

  • kind: the notification kind: oob, alarm, medical or alert
  • targetId: the notification or episode ID
  • options: per-request options, such as the timeout

Returns: the response body

Throws:

  • OvokValidationException: if kind is not one of the supported kinds
  • IOException: if the request cannot be sent or the response cannot be read
  • InterruptedException: if the thread is interrupted while waiting for the response

create

public JsonNode create(Object body, RequestOptions options) throws IOException, InterruptedException

Adds a note to a notification (POST /v1/slim/notifications/notes).

Parameters:

  • body: the note to create
  • options: per-request options, such as the timeout

Returns: the response body

Throws:

  • IOException: if the request cannot be sent or the response cannot be read
  • InterruptedException: if the thread is interrupted while waiting for the response

update

public JsonNode update(
        String noteId,
        Object body,
        RequestOptions options) throws IOException, InterruptedException

Replaces a note (PUT /v1/slim/notifications/notes/{noteId}).

Parameters:

  • noteId: the note ID
  • body: the full note
  • options: per-request options, such as the timeout

Returns: the response body

Throws:

  • IOException: if the request cannot be sent or the response cannot be read
  • InterruptedException: if the thread is interrupted while waiting for the response

patch

public JsonNode patch(
        String noteId,
        Object body,
        RequestOptions options) throws IOException, InterruptedException

Changes some fields of a note (PATCH /v1/slim/notifications/notes/{noteId}).

Parameters:

  • noteId: the note ID
  • body: the fields to change
  • options: per-request options, such as the timeout

Returns: the response body

Throws:

  • IOException: if the request cannot be sent or the response cannot be read
  • InterruptedException: if the thread is interrupted while waiting for the response

delete

public void delete(String noteId, RequestOptions options) throws IOException, InterruptedException

Deletes a note (DELETE /v1/slim/notifications/notes/{noteId}).

Parameters:

  • noteId: the note ID
  • options: per-request options, such as the timeout

Throws:

  • IOException: if the request cannot be sent or the response cannot be read
  • InterruptedException: if the thread is interrupted while waiting for the response

Last updated on

On this page